### Class

# Gtk EveryFilter

#### Description [src]

    final class Gtk.EveryFilter : Gtk.MultiFilter {
      /* No available fields */
    }

`GtkEveryFilter` matches an item when each of its filters matches.

To add filters to a `GtkEveryFilter`, use gtk_multi_filter_append().

#### Hierarchy

#### Ancestors

- GtkMultiFilter
- GtkFilter
- GObject

#### Implements

- GListModel
- GtkBuildable

#### Constructors

###### gtk_every_filter_new

Creates a new empty “every” filter.

#### Class structure

    struct GtkEveryFilterClass {
      /* no available fields */
    }